# Uses of Interface
org.codehaus.commons.compiler.IClassBodyEvaluator

Packages that use IClassBodyEvaluator
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of IClassBodyEvaluator in org.codehaus.commons.compiler

Methods in org.codehaus.commons.compiler that return IClassBodyEvaluator
Modifier and Type
Method
Description
`IClassBodyEvaluator`
AbstractCompilerFactory.`newClassBodyEvaluator()`
`IClassBodyEvaluator`
ICompilerFactory.`newClassBodyEvaluator()`

## Uses of IClassBodyEvaluator in org.codehaus.commons.compiler.jdk

Classes in org.codehaus.commons.compiler.jdk that implement IClassBodyEvaluator
Modifier and Type
Class
Description
`class`
`ClassBodyEvaluator`
To set up a `ClassBodyEvaluator` object, proceed as described for `IClassBodyEvaluator`.
Methods in org.codehaus.commons.compiler.jdk that return IClassBodyEvaluator
Modifier and Type
Method
Description
`IClassBodyEvaluator`
CompilerFactory.`newClassBodyEvaluator()`

## Uses of IClassBodyEvaluator in org.codehaus.janino

Classes in org.codehaus.janino that implement IClassBodyEvaluator
Modifier and Type
Class
Description
`class`
`ClassBodyEvaluator`
Methods in org.codehaus.janino that return IClassBodyEvaluator
Modifier and Type
Method
Description
`IClassBodyEvaluator`
CompilerFactory.`newClassBodyEvaluator()`